List Session Messages
GET /sessions/{session_id}/messagescontent_is_blocks travels with every message: a client must not have to guess
whether content_text is the message or a flattening of it (RULE M-1).
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
session_id | path | string (uuid) | required | — |
limit | query | integer | optional | Default 200. min 1 max 1000 |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | Page_SessionMessageView_ |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/sessions/{session_id}/messages \ -H "Authorization: Bearer $COBRE_TOKEN"Response — Page_SessionMessageView_
Section titled “Response — Page_SessionMessageView_”| Field | Type | Notes | |
|---|---|---|---|
items | SessionMessageView[] | required | — |
next_cursor | string | null | optional | — |
total | integer | null | optional | — |